FLTK 1.4.4

Loading...
Searching...
No Matches
x11.H File Reference

Definitions of functions specific to the X11 platform. More...

Go to the source code of this file.

## Functions
cairo_t * | fl_cairo_gc ()
| Returns the Cairo-specific currently active graphics context (FLTK_GRAPHICS_CAIRO=On)
Display * | fl_x11_display ()
| Returns the X11 Display in use.
Fl_Window * | fl_x11_find (Window xid)
| Returns the Fl_Window corresponding to the given Window reference.
GC | fl_x11_gc ()
| Returns the X11-specific currently active graphics context.
void | fl_x11_use_display (Display *d)
| Have FLTK use a pre-established X11 connection.
Window | fl_x11_xid (const Fl_Window *win)
| Returns the Window reference for the given Fl_Window, or zero if not `shown()`.

## Detailed Description

Definitions of functions specific to the X11 platform.

## Function Documentation

## ◆ fl_x11_use_display()

void fl_x11_use_display | ( | Display * | d | ) |
| extern

Have FLTK use a pre-established X11 connection.

This function must be called before FLTK attempts to open its own X11 connection, that is, as long as fl_x11_display() returns NULL.

Parameters

  d | the X11 Display* value representing a valid, pre-established X11 connection